#!/bin/bash

modprobe nvme
sleep 3
./sedutil-cli --download /dev/nvme0 ../../programmer/programmer_mu.fw
sleep 1
./sedutil-cli --commit /dev/nvme0 1 3
sleep 1
modprobe -r nvme
sleep 2
echo 1 > /sys/bus/pci/rescan
echo 1 > /sys/bus/pci/rescan
sleep 3
modprobe  nvme
sleep 3
 ./sedutil-cli --download /dev/nvme0 ../../bin/ftkdisk_mu_hmb_cmfg.fw
sleep 3
./sedutil-cli --commit /dev/nvme0 1 3
